Index: code/branches/pickup2/data/gui/layouts/MainMenu.layout
===================================================================
--- code/branches/pickup2/data/gui/layouts/MainMenu.layout	(revision 5942)
+++ code/branches/pickup2/data/gui/layouts/MainMenu.layout	(revision 6412)
@@ -1,52 +1,46 @@
-<?xml version="1.0" ?>
-<GUILayout>
-    <Window Type="TaharezLook/StaticImage" Name="orxonox/Background">
-    <Property Name="UnifiedSize" Value="{{1.0,0},{1.0,0}}"/>
-    <Property Name="Image" Value="set:MainMenuBackground image:Background"/>
-    <Property Name="FrameEnabled" Value="set:true"/>
-    <Property Name="BackgroundEnabled" Value="set:false"/>
- 
-        <Window Type="TaharezLook/Button" Name="orxonox/StandaloneButton">
-            <Property Name="UnifiedPosition" Value="{{0.11,0},{0.3,0}}"/>
-            <Property Name="UnifiedSize" Value="{{0.15,0},{0.05,0}}"/>
-            <Property Name="Text" Value="Standalone"/>
-            <Property Name="Disabled" Value="true"/>
-            <Event Name="Clicked" Function="MainMenu.button_standalone_clicked"/>
+<?xml version="1.0" encoding="UTF-8"?>
+
+<GUILayout >
+    <Window Type="TaharezLook/StaticImage" Name="orxonox/MainMenuBackground" >
+        <Property Name="FrameEnabled" Value="False" />
+        <Property Name="InheritsAlpha" Value="False" />
+        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+        <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1.02125,0},{1.02167,0}}" />
+        <Property Name="BackgroundEnabled" Value="False" />
+        <Window Type="TaharezLook/Button" Name="orxonox/QuickGameTestButton" >
+            <Property Name="Text" Value="Quickstart" />
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.2875,0},{0.6,0},{0.3375,0}}" />
+            <Event Name="Clicked" Function="MainMenu.QuickGameTestButton_clicked"/>
         </Window>
-        
-        <Window Type="TaharezLook/Listbox" Name="orxonox/LevelListbox">
-            <Property Name="UnifiedPosition" Value="{{0.4,0},{0.3,0}}"/>
+        <Window Type="TaharezLook/Button" Name="orxonox/SingleplayerButton" >
+            <Property Name="Text" Value="Singleplayer" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedSize" Value="{{0.35,0},{0.33,0}}" />
-            <Property Name="Tooltip" Value="Available Levels." />
-            <Event Name="ItemSelectionChanged" Function="MainMenu.listbox_level_selectionchanged" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.3625,0},{0.6,0},{0.4125,0}}" />
+            <Event Name="Clicked" Function="MainMenu.SingleplayerButton_clicked"/>
         </Window>
-        
-        <Window Type="TaharezLook/Button" Name="orxonox/DedicatedButton">
-            <Property Name="UnifiedPosition" Value="{{0.11,0},{0.376,0}}"/>
-            <Property Name="UnifiedSize" Value="{{0.15,0},{0.05,0}}"/>
-            <Property Name="Text" Value="Dedicated"/>
-            <Event Name="Clicked" Function="MainMenu.button_dedicated_clicked"/>
+        <Window Type="TaharezLook/Button" Name="orxonox/MultiplayerButton" >
+            <Property Name="Text" Value="Multiplayer" />
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.4375,0},{0.6,0},{0.4875,0}}" />
+            <Event Name="Clicked" Function="MainMenu.MultiplayerButton_clicked"/>
         </Window>
-        
-        <Window Type="TaharezLook/Button" Name="orxonox/ServerButton">
-            <Property Name="UnifiedPosition" Value="{{0.11,0},{0.452,0}}"/>
-            <Property Name="UnifiedSize" Value="{{0.15,0},{0.05,0}}"/>
-            <Property Name="Text" Value="Server"/>
-            <Event Name="Clicked" Function="MainMenu.button_server_clicked"/>
+        <Window Type="TaharezLook/Button" Name="orxonox/SettingsButton" >
+            <Property Name="Text" Value="Settings" />
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.5125,0},{0.6,0},{0.5625,0}}" />
+            <Event Name="Clicked" Function="MainMenu.SettingsButton_clicked"/>
         </Window>
-        
-        <Window Type="TaharezLook/Button" Name="orxonox/ClientButton">
-            <Property Name="UnifiedPosition" Value="{{0.11,0},{0.528,0}}"/>
-            <Property Name="UnifiedSize" Value="{{0.15,0},{0.05,0}}"/>
-            <Property Name="Text" Value="Client"/>
-            <Event Name="Clicked" Function="MainMenu.button_client_clicked"/>
+        <Window Type="TaharezLook/Button" Name="orxonox/CreditsButton" >
+            <Property Name="Text" Value="Credits" />
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.5875,0},{0.6,0},{0.6375,0}}" />
+            <Event Name="Clicked" Function="MainMenu.CreditsButton_clicked"/>
         </Window>
-        
-        <Window Type="TaharezLook/Button" Name="orxonox/QuitButton">
-            <Property Name="UnifiedPosition" Value="{{0.11,0},{0.604,0}}"/>
-            <Property Name="UnifiedSize" Value="{{0.15,0},{0.05,0}}"/>
-            <Property Name="Text" Value="Quit"/>
-            <Event Name="Clicked" Function="MainMenu.button_quit_clicked"/>
+        <Window Type="TaharezLook/Button" Name="orxonox/ExitButton" >
+            <Property Name="Text" Value="Exit" />
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.6625,0},{0.6,0},{0.7125,0}}" />
+            <Event Name="Clicked" Function="MainMenu.ExitButton_clicked"/>
         </Window>
     </Window>
